package com.bonus.core.menu.vo;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Optional;

public class MenuEvaluaOrderPageMealDTO implements Serializable {
   @ApiModelProperty("当前页")
   private Long current;
   @ApiModelProperty("每页显示条数")
   private Long size;
   @ApiModelProperty("档口id")
   private Long shopstallId;
   @ApiModelProperty("餐品id")
   private Long mealId;
   @ApiModelProperty("餐品类型(1-菜品,2-套餐,3-商品)")
   private Integer mealType;
   @ApiModelProperty("检索类型(1-全部,2-有图,3-最新)")
   private Integer searchType;

   public Integer getSearchType() {
      return (Integer)Optional.ofNullable(this.searchType).orElse(1);
   }

   public Long getCurrent() {
      return this.current;
   }

   public Long getSize() {
      return this.size;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getMealId() {
      return this.mealId;
   }

   public Integer getMealType() {
      return this.mealType;
   }

   public void setCurrent(final Long current) {
      this.current = current;
   }

   public void setSize(final Long size) {
      this.size = size;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setMealId(final Long mealId) {
      this.mealId = mealId;
   }

   public void setMealType(final Integer mealType) {
      this.mealType = mealType;
   }

   public void setSearchType(final Integer searchType) {
      this.searchType = searchType;
   }
}
